Bug 243529 - graphics/viewnior: update to 1.7
Summary: graphics/viewnior: update to 1.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-01-22 22:39 UTC by Nuno Teixeira
Modified: 2020-02-23 08:05 UTC (History)
2 users (show)

See Also:
pi: maintainer-feedback-


Attachments
svn diff (4.87 KB, patch)
2020-01-22 22:39 UTC, Nuno Teixeira
no flags Details | Diff
svn diff (2.56 KB, patch)
2020-01-23 20:02 UTC, Nuno Teixeira
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nuno Teixeira 2020-01-22 22:39:55 UTC
Created attachment 210975 [details]
svn diff

Hello,

Update to 1.7:

Since it uses meson/ninja now I removed:

USES: autoreconf compiler:c++11-lang gmake and libtool.

Cheers,

Nuno Teixeira
Comment 1 Automation User 2020-01-22 23:25:18 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/111553580
Comment 2 Nuno Teixeira 2020-01-23 20:02:04 UTC
Created attachment 210993 [details]
svn diff

Hello,

I forgot to add %%NLS%% to pkg-plist related files.

I've tested with DOCS on/ff and NLS on/off and pkplist is respected.

Thanks,

Nuno
Comment 3 Nuno Teixeira 2020-01-30 12:11:04 UTC
New features:

- Show image dimensions to title bar
- Add option to hide the scrollbars
- Wallpaper support for Cinnamon, Puppylinux, and autodetect DE
- Updated translations

Thanks,

Nuno
Comment 4 Kurt Jaeger freebsd_committer 2020-02-23 08:04:53 UTC
Committed, thanks!
Comment 5 commit-hook freebsd_committer 2020-02-23 08:05:53 UTC
A commit references this bug:

Author: pi
Date: Sun Feb 23 08:04:54 UTC 2020
New revision: 526891
URL: https://svnweb.freebsd.org/changeset/ports/526891

Log:
  graphics/viewnior: update 1.6 -> 1.7, submitter becomes maintainer

  PR:		243529, 243726
  Submitted by:	Nuno Teixeira <ed.arrakis@gmail.com>
  Approved by:	portmaster@BSDforge.com (maintainer timeout)
  Relnotes:	https://github.com/hellosiyan/Viewnior/blob/master/NEWS

Changes:
  head/graphics/viewnior/Makefile
  head/graphics/viewnior/distinfo
  head/graphics/viewnior/pkg-plist